<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
//multilang table function included
require_once "../maincore.php";
if (isset($_COOKIE['FUSION_CP_TMCE']) && $_COOKIE['FUSION_CP_TMCE']==1) {
	require_once "subheader.php";
} else {
	require_once BASEDIR."subheader.php";
}
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/custom_pages.php";
include INCLUDES."bbcodes_buttons_include.php";

if (!checkrights("CP") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
if (isset($page_id) && !isNum($page_id)) fallback("index.php");

if (isset($_COOKIE['FUSION_CP_TMCE']) && $_COOKIE['FUSION_CP_TMCE']==1) {
	if ($settings['tinymce_enabled'] == 1) echo "<script type='text/javascript'>advanced();</script>\n";
}

if (isset($use_tinymce)) {
	if ($use_tinymce==1) {
		setcookie("FUSION_CP_TMCE", "1");
	} else {
		setcookie("FUSION_CP_TMCE", "0");
	}
   redirect(FUSION_SELF.$aidlink);
}

if (isset($status)) {
	if ($status == "su") {
		$title = $locale['400'];
		$message = "<b>".$locale['401']."</b><br>\n".$locale['402']."\n<a href='".BASEDIR."viewpage.php?page_id=$pid'>viewpage.php?page_id=$pid</a>\n";
	} elseif ($status == "sn") {
		$title = $locale['405'];
		$message = "<b>".$locale['406']."</b><br>\n".$locale['402']."\n<a href='".BASEDIR."viewpage.php?page_id=$pid'>viewpage.php?page_id=$pid</a>\n";
	} elseif ($status == "del") {
		$title = $locale['407'];
		$message = "<b>".$locale['408']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($_POST['save'])) {
	$page_title = stripinput($_POST['page_title']);
	$page_access = isNum($_POST['page_access']) ? $_POST['page_access'] : "0";
	$page_content = addslash($_POST['page_content']);
	$comments = isset($_POST['page_comments']) ? "1" : "0";
	$ratings = isset($_POST['page_ratings']) ? "1" : "0";
	if (isset($page_id)) {
		$result = dbquery("UPDATE ".$db_prefix."custom_pages SET page_title='$page_title', page_access='$page_access', page_content='$page_content', page_allow_comments='$comments', page_allow_ratings='$ratings' WHERE page_id='$page_id'");
		redirect(FUSION_SELF.$aidlink."&status=su&pid=$page_id");
	} else {
		$result = dbquery("INSERT INTO ".$db_prefix."custom_pages (page_title, page_access, page_content, page_allow_comments, page_allow_ratings, page_language) VALUES ('$page_title', '$page_access', '$page_content', '$comments', '$ratings', '".(multilang_table("CP")?LANGUAGE:$settings['locale'])."')");
		$page_id = mysql_insert_id();
		if (isset($_POST['add_link'])) {
			$result = dbquery("SELECT * FROM ".$db_prefix."site_links WHERE link_language='".(multilang_table("CP")?LANGUAGE:$settings['locale'])."' ORDER BY link_order DESC LIMIT 1");
			$data = dbarray($result);
			$link_order = $data['link_order'] + 1;
			$result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order, link_language) VALUES ('$page_title', 'viewpage.php?page_id=$page_id', '$page_access', '1', '0', '$link_order', '".(multilang_table("CP")?LANGUAGE:$settings['locale'])."')");
		}
		redirect(FUSION_SELF.$aidlink."&status=sn&pid=$page_id");
	}
} else if (isset($_POST['delete'])) {
	$result = dbquery("DELETE FROM ".$db_prefix."custom_pages WHERE page_id='$page_id'");
	$result = dbquery("DELETE FROM ".$db_prefix."site_links WHERE link_url='viewpage.php?page_id=$page_id'");
	redirect(FUSION_SELF.$aidlink."&status=del");
} else {
	if (isset($_POST['preview'])) {
		$addlink = isset($_POST['add_link']) ? " checked" : "";
		$page_title = stripinput($_POST['page_title']);
		$page_access = $_POST['page_access'];
		$page_content = $_POST['page_content'];
		$page_content = stripslash($page_content);
		$page_content2 = stripslash(parseubb($page_content));
		$comments = isset($_POST['page_comments']) ? " checked" : "";
		$ratings = ($_POST['page_ratings']) ? " checked" : "";
		opentable($page_title);
		eval("?>".$page_content2."<?php ");
		closetable();
		tablebreak();
		//$page_content = stripinput((QUOTES_GPC ? addslashes($page_content) : $page_content));
		$page_content = phpentities($page_content);
	}
	$editlist = ""; $sel = "";
	if (multilang_table("CP")) {
		$result = dbquery("SELECT * FROM ".$db_prefix."custom_pages WHERE page_language='".LANGUAGE."' ORDER BY page_title DESC");
	} else {
		$result = dbquery("SELECT * FROM ".$db_prefix."custom_pages ORDER BY page_title DESC");
	}
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			if (isset($page_id)) $sel = ($page_id == $data['page_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['page_id']."'$sel>".$data['page_title']."</option>\n";
		}
	}
	opentable($locale['420']);
	echo "<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."'>
<center>
<select name='page_id' class='textbox' style='width:200px;'>
$editlist</select>
<input type='submit' name='edit' value='".$locale['421']."' class='button'>
<input type='submit' name='delete' value='".$locale['422']."' onclick='return DeletePage();' class='button'>
</center>
</form>\n";
	closetable();
	tablebreak();
	if (isset($_POST['edit'])) {
		$result = dbquery("SELECT * FROM ".$db_prefix."custom_pages WHERE page_id='$page_id'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$page_title = $data['page_title'];
			$page_access = $data['page_access'];
			//$page_content = stripinput((QUOTES_GPC ? $data['page_content'] : stripslashes($data['page_content'])));
			$page_content = phpentities(stripslashes($data['page_content']));
			$comments = ($data['page_allow_comments'] == "1" ? " checked" : "");
			$ratings = ($data['page_allow_ratings'] == "1" ? " checked" : "");
			$addlink = "";
		}
	}
	if (isset($page_id)) {
		$action = FUSION_SELF.$aidlink."&amp;page_id=$page_id";
		opentable($locale['400']);
	} else {
		if (!isset($_POST['preview'])) {
			$page_title = "";
			$page_access = "";
			$page_content = "";
			$comments = " checked";
			$ratings = " checked";
			$addlink = "";
		}
		$action = FUSION_SELF.$aidlink;
		opentable($locale['405']);
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($page_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='inputform' method='post' action='$action' onSubmit='return ValidateForm(this);'>
<table align='center' cellpadding='0' cellspacing='0'>";
if ($settings['tinymce_enabled'] == 1) {
	echo "<tr>\n";
	echo "<td width='100' class='tbl'>".$locale['450']."</td>\n";
	echo "<td width='80%' class='tbl'>\n";
	echo "<select class='textbox' name='use_tinymce_select' onChange=\"location = '".FUSION_SELF.$aidlink."&amp;use_tinymce=' + document.inputform.use_tinymce_select.options[document.inputform.use_tinymce_select.selectedIndex].value;\">\n";
	if (!isset($_COOKIE['FUSION_CP_TMCE'])) {
		$cookie_mce = 0;
	} else {
		$cookie_mce = $_COOKIE['FUSION_CP_TMCE'];
	}
	echo "<option value='0' ".($cookie_mce==0?"selected":"").">".$locale['452']."</option>\n";
	echo "<option value='1' ".($cookie_mce==1?"selected":"").">".$locale['451']."</option>\n";
	echo "</select>\n";
	echo "</td>\n";
	echo "</tr>\n";
}
echo "<tr>
<td width='100' class='tbl'>".$locale['430']."</td>
<td width='80%' class='tbl'><input type='textbox' name='page_title' value='$page_title' class='textbox' style='width: 250px;'>
&nbsp;".$locale['431']."<select name='page_access' class='textbox' style='width:150px;'>
$access_opts</select></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>".$locale['432']."</td>
<td width='80%' class='tbl'><textarea name='page_content' cols='95' rows='15' class='textbox'>$page_content</textarea></td>
</tr>";

if ($cookie_mce!=1) {
	echo "<tr><td class='tbl'></td><td class='tbl'>";
	echo display_bbcodes("page_content");
	echo "<input type='image' src='".INCLUDES."bbcodes/images/_php.gif' class='button' onClick=\"addText('page_content', '<?php\\n', '\\n?>', 'inputform');return false;\">
	<input type='image' src='".INCLUDES."bbcodes/images/_p.gif' class='button' onClick=\"insertText('page_content', '<p>', 'inputform');return false;\">	
	<input type='image' src='".INCLUDES."bbcodes/images/_br.gif' class='button' onClick=\"insertText('page_content', '<br>', 'inputform');return false;\"></td>
	</tr>";
}

echo "<tr>
<td class='tbl'></td><td class='tbl'><br>\n";
	if (!isset($page_id)) echo "<input type='checkbox' name='add_link' value='1'$addlink>  ".$locale['433']."<br>\n";
	echo "<input type='checkbox' name='page_comments' value='1'$comments> ".$locale['434']."<br>
<input type='checkbox' name='page_ratings' value='1'$ratings> ".$locale['435']."
</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='preview' value='".$locale['436']."' class='button'>
<input type='submit' name='save' value='".$locale['437']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	echo "<script type='text/javascript'>
function DeletePage() {
	return confirm('".$locale['409']."');
}
function ValidateForm(frm) {
	if(frm.page_title.value=='') {
		alert('".$locale['410']."');
		return false;
	}
}
</script>\n";
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>